> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noramp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Price



## OpenAPI

````yaml post /prices/{app_id}
openapi: 3.1.0
info:
  title: NoRamp
  description: NoRamp API
  version: '1.1'
  contact: {}
servers: []
security: []
tags: []
paths:
  /prices/{app_id}:
    post:
      operationId: PricesController_create
      parameters:
        - name: app_id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePriceDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PriceDto'
components:
  schemas:
    CreatePriceDto:
      type: object
      properties:
        amount:
          type: number
          minimum: 1
        currency:
          type: string
          maxLength: 5
        currency_conversion:
          $ref: '#/components/schemas/CreateCurrencyConversionDto'
        trigger_id:
          type: string
        trigger_data:
          $ref: '#/components/schemas/TriggerDataDto'
        type:
          enum:
            - static
            - dynamic
          type: string
        kyc_id:
          type: string
        metadata:
          $ref: '#/components/schemas/PriceMetadataDto'
        name:
          type: string
          maxLength: 256
    PriceDto:
      type: object
      properties:
        id:
          type: string
        type:
          enum:
            - static
            - dynamic
          type: string
        kyc_id:
          type: string
          nullable: true
        trigger_id:
          type: string
          nullable: true
        currency:
          type: string
        amount:
          type: number
        metadata:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PriceMetadataDto'
        name:
          type: string
          nullable: true
        expired:
          type: boolean
        views:
          type: number
        network_type:
          type: string
          enum:
            - mainnet
            - testnet
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
        contract:
          type: string
        chain:
          type: string
        category:
          enum:
            - payment
            - bid
            - auction
          type: string
      required:
        - id
        - app
        - type
        - kyc_id
        - trigger_id
        - currency
        - amount
        - metadata
        - name
        - expired
        - views
        - network_type
        - created_at
        - updated_at
    CreateCurrencyConversionDto:
      type: object
      properties:
        from_currency:
          type: string
          maxLength: 24
        from_amount:
          type: number
          minimum: 0
      required:
        - from_currency
        - from_amount
    TriggerDataDto:
      type: object
      properties:
        params_data:
          type: object
    PriceMetadataDto:
      type: object
      properties: {}

````